%define name	gwhere
%define version	0.2.3
%define release	1

Name:		%{name}
Packager:	Sbastien LECACHEUR
Summary:	Removable media catalog managment
Summary(ar):	Administracin de catlogos de medios removibles
Summary(cs):	Sprva katalogu vmnnch mdi
Summary(de):	Katalog-Verwaltung fr Wechselmedien
Summary(el):	   
Summary(es):	Gestin de medios extraibles
Summary(fr):	Gestionnaire de catalogues de media amovibles
Summary(hu):	Lemez katalgus nyilvntart program
Summary(it):	Gestione dei cataloghi per dispositivi rimovibili
Summary(nl):	Beheer verwijderbare media
Summary(pl):	Zarzdzanie katalogiem mediw
Summary(pt):	Gestor de catlogos de media removivel
Summary(ru):	Менеджер каталогов сьёмных носителей
Summary(sr):	Katalog diskova
Version:	%{version}
Release:	%{release}
#License:	GPL
#Copyright:	Sbastien LECACHEUR
Copyright:	GPL
Source:		%{name}-%{version}.tar.bz2
#Source0:	http://www.gwhere.org/download/sources/%{name}-%{version}.tar.gz
Group:		X11/Applications
URL:		http://www.gwhere.org
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
Obsoletes:	GWhere
BuildRoot:	/var/tmp/%{name}-buildroot
Requires:	gtk+ zlib
Icon:		gwhere.xpm


%description

GWhere allows to manage a database of yours CDs and others removable media
(hard disks, floppy drive, Zip drive, CD-ROM, etc...). With GWhere it's easy
to browse yours CDs or to make quick search without need to insert yours CDs
in the drive at each once.

%description -l ar
GWhere permite administrar una base de datos de tus CDs y otros medios removibles
(disco duros, diskettes, discos Zip, CD-ROMs, etc...). Con GWhere es fcil
navegar tus CDs o realizar bsquedas sin la necesidad de insertar los CDs en la
lectora de a uno por vez.

%description -l cs
GWhere slou k uchovn obsahu CD a dalch mdi (HDD, floppy, zip,...).Potom
mete prochzet databzi a vyhledvat soubory bez nutnosti vloit CD do mechaniky.

%description -l de
GWhere erlaubt die Verwaltung einer Datenbank Ihrer CDs und anderer Wechselmedien
(Festplatten, Floppies, Zip-Disketten, CD-ROM usw. ...). Mit GWhere ist es sehr
einfach, Ihre CDs zu durchsuchen oder eine Schnellsuche durchzufhren ohne jedesmal
die CD ins Laufwerk zu stecken.

%description -l el
 GWhere         CD 
    ( , , Zip drive, CD-ROM,
...).   GWhere        CD   
            drive
 .

%description -l es
GWhere permite manipular una base de datos de tus CDs y otros medios extraibles
(discos duros, disquetes, Zips, CD-ROM, etc...) Con GWhere es fcil navegar en tus
CDs o hacer bsquedas rpidas sin necesidad de introducir tus CDs en la unidad cada vez.

%description -l fr
GWhere permet de grer une base de donnes de vos CD et autres media amovibles
(disques durs, disquettes, disquettes Zip, CD-ROM, etc...). Avec GWhere il est facile
de parcourir vos CDs ou de faire une recherche rapide sans avoir besoin d'insrer vos CDs
dans le lecteur  chaque fois.

%description -l hu
GWhere lehetv teszi a CD lemezeid s ms mozgathat adathordozid (hdd, floppy, Zip meghajt, USB drive....) katalogizlst.
A GWhere a lemezekrl egy adatbzist kszt, ami tartalmazza a fjlok neveit, majd ksbb ebben az
adatbzisbl a CD lemez rintse nlkl gyorsan megllapthatod melyik lemezen van a keresett fjl.

%description -l it
Gwhere permette di creare e gestire un database dei tuoi CD e di altri
dispositivi rimovibili come hard disk, floppy drive, Zip drive, CD-ROM,
etc...). Con GWHERE \xc3\xa8 facile leggere i contenuti dei tuoi CD ed \xc3\xa8
anchepossibile fare veloci ricerche senza alcuna necessit\xc3\xa0 di inserire i CD
in tuo possesso nel lettore.

%description -l nl
Met GWhere kun je een gegevensbank van je CD's en andere verwijderbare media
beheren (harde schijven, diskettes, ZIP diskettes, CD-ROM, enz...). Met
GWhere is het makkelijk je CD's te doorlopen of snel iets op te zoeken
zonder telkens je CD's in de speler te moeten steken.

%description -l pl
GWhere to program zarzdzajcy baz pyt CD oraz innych mediw (takich
jak twarde dyski, dyskietki, dyski Zip itp.). Dziki GWhere w atwy
sposb mona przeglda swoje pyty CD i szybko znale potrzebny plik
bez koniecznoci cigego wkadania pyt do napdu.

%description -l pt

O GWhere permite gerir uma base de dados dos seus CDs ou outros tipos de
media removvel (discos rgidos, disquetes, drives ZIP, CD-ROM, etc...).
Com o GWhere  fcil explorar os seus CDs ou fazer rpidas pesquisas sem a
necessidade de inserir cada um dos seus CDs na drive.

%description -l ru

GWhere позволяет управлять базой данных ваших CD или други сьёмных носителей 
(жёсткие диски, гибкие магнитные диски, Zip диски, компакт диски, и т.п.). С 
GWhere легко просмотреть ваши CD или выполнить быстрый поиск без 
необходимости вставления каждого отдельного CD в привод.

%description -l sr

GWhere vam omogucava da vodite bazu svojih CDova i drugih medijuma (hard 
diskovi, dlopi diskovi, zip drajvovi, CD-ROm, itd...). Sa GWhere-om je lako 
da pronadjete bilo sta na vasim diskova bez ubacivanja disk(ov)a u drajv 
jedan po jedan.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -d $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -d $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Applications
install -d $RPM_BUILD_ROOT/%{_datadir}/applnk/Applications
install -d $RPM_BUILD_ROOT/%{_mandir}/man1
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/ar/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/cs/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/de/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/fr/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/es/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/it/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/hu/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/pl/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_datadir}/locale/pt/LC_MESSAGES
install -d $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/descr
install -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/plugins/descr
install -d $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/catalog
install -d $RPM_BUILD_ROOT/%{_datadir}/%{name}/plugins/catalog
%makeinstall
mv $RPM_BUILD_ROOT%{_libdir}/libgwplugindescription*.so* $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/descr
mv $RPM_BUILD_ROOT%{_libdir}/libgwplugindescription*.la* $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/descr
mv $RPM_BUILD_ROOT%{_libdir}/libgwplugindescription*.a* $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/descr
mv $RPM_BUILD_ROOT%{_libdir}/libgwplugincatalog*.so* $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/catalog
mv $RPM_BUILD_ROOT%{_libdir}/libgwplugincatalog*.la* $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/catalog
mv $RPM_BUILD_ROOT%{_libdir}/libgwplugincatalog*.a* $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/catalog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.fr
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gnome/apps/Applications/%{name}.desktop
%{_datadir}/applnk/Applications/%{name}.desktop
%{_mandir}/man1/gwhere.1*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/plugins/descr/*.la*
%{_datadir}/%{name}/plugins/descr/*.a*
%{_datadir}/%{name}/plugins/descr/*.so*
%{_datadir}/%{name}/plugins/catalog/*.la*
%{_datadir}/%{name}/plugins/catalog/*.a*
%{_datadir}/%{name}/plugins/catalog/*.so*


%changelog
* Wed Sep 28 2006 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.2.3 : fix bugs, disk scan optimization
* Tue Aug 22 2006 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.2.2 : fix bugs, submount support
* Tue Jun 23 2005 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.2.1 : fix bugs, search engine optimization
* Mon Jun 20 2005 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.2.0 : fix bugs, catalog plugin managment, import/export support, ...
* Wed Feb 18 2004 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.1.3 : fix bugs, memory optimization, add search options, ...
* Mon Sep 01 2003 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.1.0-2 : FreeBSD port, fix bugs, add descript.ion, FILE_ID.DIZ plugin
* Wed Apr 23 2003 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.1.0-2 : fix bugs, add AVI plugin
* Tue Apr 15 2003 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.1.0-2 : fix missing link for plugin in RPM.
* Wed Feb 19 2003 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.1.0 : beta version, win32 port, GTK 2.0 compatibility, file description plugins, ...
* Tue Sep 17 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.26 : config file, send mail
* Fri Jul 05 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.25 : zlib support, experimental port on Cygwin
* Fri Mar 22 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.24 : nouvelles fonctionnalits
* Thu Jan 23 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.23 : nouvelles fonctionnalits
* Sun Jan 6 2002 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.22 : corrections de bugs
* Fri Oct 26 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.21 : corrections de bugs
* Wed Oct 03 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.20 : corrections de bugs et amlioration de divers composants.
* Thu Sep 27 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.19 : corrections de bugs et traduction.
* Fri Aug 17 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.18 : correction de bugs et amlioration de divers composants.
* Sun Aug 05 2001 : Sbastien LECACHEUR <zero@gwhere.org>
- GWhere-0.0.17 : moteur de recherche intgr. Stabilisation de la version.
* Fri Oct 13 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.16 : version  plus stable et utilisable
* Sun Sep 10 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.15 : ajoute/suppression, beaucoup de bugs corrigs
* Sat Aug 26 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.14 : implmentation du supermount
* Thu Aug 24 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.13 : toujours en version alpha!!
* Fri May 05 2000 : Sbastien LECACHEUR <gwhere@marms.com>
- GWhere-0.0.12 : cette version peut encore voluer
